6.0.0-git
2019-04-23

[#7862] ContactAutoCompleter calls non-existent private MIME::_rfc822Encode
Summary ContactAutoCompleter calls non-existent private MIME::_rfc822Encode
Queue Kronolith
Queue Version 2.3
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , chuck (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2009-01-16 (3749 days ago)
Due
Updated 2009-01-18 (3747 days ago)
Assigned
Resolved 2009-01-18 (3747 days ago)
Milestone
Patch No

History
2009-01-18 03:40:40 Chuck Hagenbuch Comment #9
Assigned to Chuck Hagenbuch
State ⇒ Resolved
Reply to this comment
BC in fw3 should be restored now.
2009-01-17 18:59:12 Michael Rubinsky Comment #7 Reply to this comment
Another related issue is that the class variable 'rfc822_filter' has 
been removed from MIME.php as well.  This needs to be added back for 
BC reasons, as it is also used (at least) in ContactAutoCompleter.php
2009-01-17 17:27:48 Chuck Hagenbuch Comment #6 Reply to this comment
Right - and we can't change it now because that'll just create more BC 
problems with older Horde versions.
2009-01-17 17:12:52 Michael Rubinsky Comment #5 Reply to this comment
That sounds reasonable, though I still have a nagging voice in my head 
about client code calling a private method. I guess since FW_3 is 
really only being maintained for bugs at this point though, I guess 
there's not much worth in adding a public method for any possible 
future FW_3 releases as well.
2009-01-17 05:18:24 Chuck Hagenbuch Comment #4 Reply to this comment
Continuing my piecemeal analysis, in FW3, the method is still private, 
and called _rfc2822Encode. I *think* what we should do is:



- change the calls in the HEAD apps to use the public rfc2822Encode 
function and new 2nd parameter



- re-add the original _rfc822Encode function to MIME.php in FW3 for 
backwards compatibility with old code.



Any objections or better ideas?
2009-01-17 05:12:06 Chuck Hagenbuch Comment #3 Reply to this comment
... and it also affects Whups 1.0.
2009-01-17 05:11:21 Chuck Hagenbuch Comment #2 Reply to this comment
Following the changelog, this is a BC break for Kronolith with Horde 3.3+
2009-01-16 23:40:52 Michael Rubinsky Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ ContactAutoCompleter calls non-existent private MIME::_rfc822Encode
Queue ⇒ Kronolith
Assigned to Horde DevelopersHorde Developers
Milestone ⇒
Patch ⇒ No
Reply to this comment
The private method MIME::_rfc822Encode() is called directly from 
kronolith's ContacatAutoCompleter.php file.  That method was renamed 
to _rfc2822Encode() and then made public (renamed to rfc2822Encode()) 
in MIME.php



The function signature has also changed, and now no longer takes a 
'filter' argument, but a 'type' argument in it's place.



This is a sort-of BC break in that the function was changed in MIME, 
but kronolith should not have been calling a private method on MIME 
directly...

Saved Queries